=== debian/changelog ===
esptool (0.4.6-1) unstable; urgency=medium

  * Initial release. (Closes: #811905)

 -- Milan Kupcevic <milan@debian.org>  Sun, 14 Feb 2016 19:55:50 -0500
