=== debian/control ===
Source: esptool
Section: electronics
Priority: extra
Maintainer: Milan Kupcevic <milan@debian.org>
Build-Depends: 
 debhelper (>= 9),
 autoconf,
 automake,
 help2man
Standards-Version: 3.9.6
Homepage: https://github.com/igrr/esptool-ck/

Package: esptool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: create and flash firmware files to ESP8266 or ESP32 chips
 Flash firmware files to ESP8266 or ESP32 boards with ability to 
 automatically put certain boards into UART bootloader programming mode. Or, 
 extract code sections from ELF executable files to create firmware images 
 for ESP chips.
