=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

VER ?= $(shell dpkg-parsechangelog --show-field version \
               | sed -e "s,\(.*\)-.*,\\1," -e "s,.*:,,")

%:
	 dh $@

override_dh_auto_build:
	make VERSION=$(VER) esptool.1

get-orig-source:
	wget https://github.com/igrr/esptool-ck/archive/$(VER).tar.gz \
              -O esptool_$(VER).orig.tar.gz
