=== debian/watch ===
version=3
https://github.com/igrr/esptool-ck/releases /igrr/esptool-ck/archive/v?(.+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
