## esptool 2.1+dfsg1

=== debian/changelog ===
esptool (2.1+dfsg1-2) sid; urgency=medium

  * Add package maintenance Vcs-* fields
  * Switch to python3
  * Add usage examples to the man pages

 -- Milan Kupcevic <milan@debian.org>  Sun, 05 Nov 2017 18:10:33 -0500

esptool (2.1+dfsg1-1) sid; urgency=medium

  * New upstream release
    - python based full support for ESP32 and ESP8266 chips
  * Disable flasher stub option due to DFSG removed binary blob

 -- Milan Kupcevic <milan@debian.org>  Tue, 24 Oct 2017 01:12:50 -0400

esptool (0.4.12-1) sid; urgency=medium

  * New upstream release.
    - Remove ESP32 support
  * Set package priority to optional.
  * Update standards version to 4.1.1. No changes.
  * Bump debhelper compatibility up to 10.
  * Also build on GNU/Hurd and GNU/kFreeBSD

 -- Milan Kupcevic <milan@debian.org>  Tue, 17 Oct 2017 22:29:14 -0400
