=== debian/changelog ===
esptool (2.5.1+dfsg-3) sid; urgency=medium

  * update standards version to 4.3.0
  * add udev rules

 -- Milan Kupcevic <milan@debian.org>  Sun, 23 Dec 2018 23:51:11 -0500

esptool (2.5.1+dfsg-2) sid; urgency=medium

  * update man page copyright notice

 -- Milan Kupcevic <milan@debian.org>  Fri, 21 Dec 2018 08:20:07 -0500

esptool (2.5.1+dfsg-1) sid; urgency=medium

  [ Milan Kupcevic ]
  * new upstream release
  * update standards version to 4.2.1

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Remove trailing whitespaces

 -- Milan Kupcevic <milan@debian.org>  Thu, 20 Dec 2018 21:16:47 -0500

esptool (2.5.0+dfsg-1) sid; urgency=low

  * New upstream release. (Closes: #906062)
    - update debian/copyright
  * Use discount instead of markdown.
  * Move package maintenance repository to salsa.
  * Update standards version to 4.2.0. No changes.
  * Update man page examples.

 -- Milan Kupcevic <milan@debian.org>  Sun, 26 Aug 2018 23:08:04 -0400
