=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: electronics
 Priority: optional
 Maintainer: Milan Kupcevic <milan@debian.org>
-Build-Depends: 
+Build-Depends:
  debhelper (>= 10),
  python3,
  python3-serial,
  python3-pyaes,
  python3-ecdsa,
- markdown,
+ discount,
  help2man
-Standards-Version: 4.1.1
-Vcs-Git: https://gitlab.com/debian/esptool.git
-Vcs-Browser: https://gitlab.com/debian/esptool.git
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/debian/esptool.git
+Vcs-Browser: https://salsa.debian.org/debian/esptool
 Homepage: https://github.com/espressif/esptool
 
 Package: esptool
