=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	dh $@
 
 override_dh_auto_clean:
-	rm -f *.pyc */*.pyc
+	rm -f *.pyc */*.pyc */*/*.pyc
 	rm -f CONTRIBUTING.html
 	rm -f esptool espefuse espsecure
 	rm -f esptool.1 espefuse.1 espsecure.1
@@ -20,7 +20,7 @@
 	ln -s esptool.py esptool
 	ln -s espsecure.py espsecure
 	ln -s espefuse.py espefuse
-	markdown --html4tags CONTRIBUTING.md > CONTRIBUTING.html
+	markdown CONTRIBUTING.md > CONTRIBUTING.html
 	help2man --no-info --section 1 --include=debian/see-also \
 	  --source="Esptool.py $(VER)" \
 	  -n "ESP8266 and ESP32 ROM Bootloader Utility" \
@@ -62,7 +62,7 @@
 	  -e "s,sage: espefuse,sage: espefuse [OPTION] COMMAND," \
 	  -e "s,positional arguments,command arguments," \
 	  -e "s,\.\.\.,," \
-	  -e "s,{dump.*voltage},," \
+	  -e "s,{dump.*_info},," \
 	  > espefuse.1
 
 override_dh_auto_install:
