## esptool 2.6+dfsg

=== debian/changelog ===
esptool (2.6+dfsg-1) sid; urgency=medium

  * new upstream release (closes: #922787)

 -- Milan Kupcevic <milan@debian.org>  Mon, 11 Mar 2019 13:10:15 -0400
