## esptool 2.8%2Bdfsg

=== debian/changelog ===
esptool (2.8+dfsg-1~mx23) mx; urgency=medium

  * Rebuild for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 17 Nov 2023 22:18:15 -0500

esptool (2.8+dfsg-1) sid; urgency=medium

  * new upstream release
  * update debian/copyright
  * update standards version to 4.5.0

 -- Milan Kupcevic <milan@debian.org>  Sat, 08 Feb 2020 11:05:01 -0500
