=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-ecdsa,
  discount,
  help2man
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/esptool.git
 Vcs-Browser: https://salsa.debian.org/debian/esptool
 Homepage: https://github.com/espressif/esptool
