=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,7 @@
 	  -e "s,sage: espefuse,sage: espefuse [OPTION] COMMAND," \
 	  -e "s,positional arguments,command arguments," \
 	  -e "s,\.\.\.,," \
-	  -e "s,{dump.*_info},," \
+	  -e "s,{dump.*_mac},," \
 	  > espefuse.1
 
 override_dh_auto_install:
