=== debian/changelog ===
esptool (4.6.2+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
    - Drop flasher_stub patches, merged upstream (PR #856, #858),
      adjust debian/rules to the new upstream functionality.
    - Add dependency on python3-yaml, new since v4.6.
  * d/copyright: add link to a newly filed upstream issue for sourceless
    binaries in the upstream source package.
  * Release the new 4.x series to unstable.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 14 Jul 2023 01:05:45 +0300

esptool (4.5.1+dfsg-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #983719)
    - Update debian/copyright to match upstream changes.
    - Update build dependencies: drop python3-pyaes, and add
      python3-bitstring, python3-cryptography, python3-reedsolo and
      python3-pkcs11.
  * Compile and ship the flasher stub for ESP8266, as well as the ESP32 RISC-V
    variants (currently ESP32-C2, ESP32-C3, ESP32-C6, ESP32-H2). Notably, this
    does not include the ESP32 Xtensa variants (ESP32, ESP32-S2 and ESP32-S3)
    as there is no working toolchain in Debian for these. (Closes: #948096)
  * While the full test suite is stripped out and cannot be executed, add a
    few superficial autopkgtests: an autodep8 one, as well as smoke tests by
    running --help in the target environment.
  * Various package hygiene changes:
    - Revamp the build process to use dh-python, pybuild and setuptools to
      build and install the binaries. This means we now ship the "esptool"
      Python module for other packages to use. (Closes: #973031)
    - Drop upstream patch "shebang", as that is not necessary with pybuild.
    - Add Rules-Requires-Root: no, to indicate that the package does not need
      root to build.
    - Drop debian/NEWS, as it only included a news item for a version older
      than oldstable.
    - Add support for the "nodoc" build profile.
    - Add upstream metadata.
    - Bump debhelper compatibility level from 10 to 13.
    - Bump Standards-Version to 4.6.2.
    - Add gbp.conf and switch to DEP-14 branch naming.
  * Stop shipping CONTRIBUTING.md and its respective .html. Contributors are
    encouraged to look in the upstream GitHub repository for the latest
    information on how to contribute to the upstream project.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 17 Mar 2023 14:03:23 +0200
