=== debian/control ===
Source: esptool
Section: electronics
Priority: optional
Maintainer: Milan Kupcevic <milan@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 python3-all,
 python3-bitstring,
 python3-cryptography,
 python3-ecdsa,
 python3-pkcs11,
 python3-reedsolo,
 python3-serial,
 python3-setuptools,
 python3-yaml,
 gcc-xtensa-lx106,
 picolibc-xtensa-lx106-elf,
 gcc-riscv64-unknown-elf,
 picolibc-riscv64-unknown-elf,
 help2man <!nodoc>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
Vcs-Git: https://salsa.debian.org/debian/esptool.git
Vcs-Browser: https://salsa.debian.org/debian/esptool
Homepage: https://github.com/espressif/esptool

Package: esptool
Architecture: all
Multi-Arch: foreign
Depends:
 ${python3:Depends},
 ${misc:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 ${python3:Suggests},
Description: create and flash firmware files to ESP8266 and ESP32 chips
 Communicate with the ROM bootloader in Espressif ESP8266 and ESP32 chips to
 fash firmware files, create firmware images or read OTP ROM or flash memory
 content such is manufacturer or device IDs.
