## esptool 4.7.0+dfsg

=== docs/requirements.txt ===
esp-docs==1.4.*
