=== debian/changelog ===
esptool (4.7.0+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - Add new build dependency python3-intelhex. 

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 26 Jan 2024 14:31:42 +0200
