=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  python3-bitstring,
  python3-cryptography,
  python3-ecdsa,
+ python3-intelhex,
  python3-pkcs11,
  python3-reedsolo,
  python3-serial,
