=== debian/watch ===
version=4
opts="\
searchmode=plain,\
filenamemangle=s:.+/([^/]+)$:esptool-$1.tar.gz:,\
repack,\
repacksuffix=+dfsg,\
dversionmangle=s:.dfsg[0-9]*$::\
" \
https://api.github.com/repos/espressif/@PACKAGE@/releases \
https://api.github.com/repos/espressif/@PACKAGE@/tarball/v@ANY_VERSION@
